Holger's Java API

## com.antelmann
Class LicenseCreator

    java.lang.Object
      com.antelmann.LicenseCreator

    public final class LicenseCreator

extends Object

Author:
  Holger Antelmann

Constructor Summary
`LicenseCreator()`

Method Summary
`static void` `consoleApp()`
`License` `createGeneralLicense(String issuedFor)` license is still unsigned hereafter
`License` `createLicense(Object obj, String issuedFor, Date expirationDate, int usageLeft, boolean includeSubPackages)` license is still unsigned hereafter
`void` `installGeneralLicense(String issuedFor)` creates, signs and installs the license
`void` `installLicense(Object obj, String issuedFor, Date expirationDate, int usageLeft, boolean includeSubPackages)`
`static void` `main(String[] args)`
`void` `signLicense(License license)` only works in a proper development environment
`Date` `validForDays(int days)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LicenseCreator

    public LicenseCreator()

Method Detail

### createLicense

    public License createLicense(Object obj,
                                 String issuedFor,
                                 Date expirationDate,
                                 int usageLeft,
                                 boolean includeSubPackages)
                          throws GeneralSecurityException,
                                 IOException

  license is still unsigned hereafter

  Throws:
    `GeneralSecurityException`
    `IOException`

### signLicense

    public void signLicense(License license)
                     throws IOException,
                            LicensingException,
                            GeneralSecurityException

  only works in a proper development environment

  Throws:
    `IOException`
    `LicensingException`
    `GeneralSecurityException`

### validForDays

    public Date validForDays(int days)

### installLicense

    public void installLicense(Object obj,
                               String issuedFor,
                               Date expirationDate,
                               int usageLeft,
                               boolean includeSubPackages)
                        throws GeneralSecurityException,
                               IOException

  Throws:
    `GeneralSecurityException`
    `IOException`

### createGeneralLicense

    public License createGeneralLicense(String issuedFor)
                                 throws GeneralSecurityException,
                                        IOException

  license is still unsigned hereafter

  Throws:
    `GeneralSecurityException`
    `IOException`

### installGeneralLicense

    public void installGeneralLicense(String issuedFor)
                               throws GeneralSecurityException,
                                      IOException

  creates, signs and installs the license

  Throws:
    `GeneralSecurityException`
    `IOException`

### consoleApp

    public static void consoleApp()
                           throws Exception

  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads